Package twisted :: Package internet :: Module protocol :: Class ServerFactory

[frames | no frames]

## Class ServerFactory

    Factory --+
              |
             ServerFactory

Known Subclasses:
  `DNSServerFactory`, `FTPDataPortFactory`, `HTTPFactory`, `InetdFactory`, `NNTPFactory`, `PBServerFactory`, `POP3Factory`, `PostfixTCPMapDeferringDictServerFactory`, `PostfixTCPMapDictServerFactory`, `SMTPFactory`

Subclass this to indicate that your protocol.Factory is only usable for servers.

Method Summary
Inherited from Factory
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Generated by Epydoc 2.0 on Sat May 15 20:07:50 2004 | http://epydoc.sf.net